inkscape 0.48 crashes on startup in colorprofile_get_system_profile_handle()

Bug #623640 reported by ueli on 2010-08-24
140
This bug affects 17 people
Affects Status Importance Assigned to Milestone
Inkscape
High
jazzynico

Bug Description

when i launch inkscape 0.48 on macOS10.6.4 (snow leopard) in three of four times the application crashes with the message: "inkscape ist auf einen internen fehler gestossen und wird nun geschlossen" (german for: "because of an internal error, inkscape will close now").
if no such message appears at startup, inkscape works well (as far as i know for the moment...)

Related branches

su_v (suv-lp) wrote :

1) Does Inkscape crash when you launch it by itself (double-clicking the application icon) or when double-clicking certain files in the Finder? If it is related to certain files, please attach a sample document which causes Inkscape to crash.

2) Mac OS X automatically creates a diagnostic report when an application crashes: Please attach the most recent one you can find for 'inkscape-bin' in 'Home > Library > Logs > DiagnosticReports'.

tags: added: crash osx
Changed in inkscape:
importance: Undecided → High
ueli (ueli-tuelab) wrote :

it crashes in both cases. (launching by itself and by double-clicking a document icon)
log file is attached.

su_v (suv-lp) on 2010-08-25
tags: added: color
su_v (suv-lp) wrote :

From the crash report:

0 libSystem.B.dylib 0x97d44e50 _UTF8_mbsnrtowcs + 62
1 libSystem.B.dylib 0x97d7cc88 mbsrtowcs_l + 100
2 libSystem.B.dylib 0x97d7a782 __collate_mbstowcs + 149
3 libSystem.B.dylib 0x97ce9a6e strcoll_l + 121
4 libSystem.B.dylib 0x97ce99ef strcoll + 61
5 libglib-2.0.0.dylib 0x01f3869c g_utf8_collate + 124
6 inkscape-bin 0x0001aea1 findThings() + 945
7 inkscape-bin 0x0001c303 Inkscape::colorprofile_get_system_profile_handle() + 611
8 inkscape-bin 0x0001c9d6 Inkscape::colorprofile_get_display_transform() + 1382

Inkscape crashes while parsing path/file names of ICC colorprofiles you have installed on your system (see also <http://www.inkscape-forum.de/discussion/2562/neues-inkscape/#Item_21> describing the same problem (in German) and how the user managed to avoid the crashes by repairing corrupt color profiles with ColourSync).

Can you provide further information about the color profiles you have installed on your system? In 'Inkscape Preferences > Color Management > Display adjustment', the tooltip of the popup list with available display profiles contains a list of all paths Inkscape searches for color profiles: can you make a list of the profiles you have installed at those locations and attach it here?

su_v (suv-lp) wrote :

Setting status to 'Confirmed' because the same crash was reported yesterday in the German Inkscape user forum.

<http://www.inkscape-forum.de/discussion/2562/neues-inkscape/#Item_13>

Changed in inkscape:
status: New → Confirmed
summary: - inkscape 0.48 crashes on startup
+ inkscape 0.48 crashes on startup in
+ colorprofile_get_system_profile_handle()
ueli (ueli-tuelab) wrote :

attached a list of the icc-profiles i can find.

su_v (suv-lp) wrote :

@Jon - subscribing you to this report: any chance you could take a look at what causes this crash? The other reported case (see comment #4) says Inkscape 0.47 works fine whereas 0.48 crashes on the same Snow Leopard system -> possibly a regression?

su_v (suv-lp) wrote :

@ueli - does your login name contain any special characters (like 'ä,ö,ü' or 'ß')?

ueli (ueli-tuelab) wrote :

yes, it contains one of the characters you named (ü) - does this interfere with this problem? - strange!!!

su_v (suv-lp) wrote :

Duplicate of Bug #608229 “Inkscape crashes on startup”?
<https://bugs.launchpad.net/inkscape/+bug/608229>

Same backtrace when Inkscape fails to launch, on Windows XP.

su_v (suv-lp) wrote :

Not caused by special characters in the user name: same crash reported for user 'nico' in <https://answers.launchpad.net/inkscape/+question/123400>.

@nico - can you make a list of the color profiles you have installed on your system (including the full path names) and attach it to the bug report? See comment #3 how to find out which paths Inkscape searches: <https://bugs.launchpad.net/inkscape/+bug/623640/comments/3>.

su_v (suv-lp) wrote :

@Johny Åkerlund:
1) Does your user name contain any special characters?
2) Can you attach a list of the ICC profiles installed on your system (including the full path names)? See comment #3 how to find out which paths Inkscape searches:
   <https://bugs.launchpad.net/inkscape/+bug/623640/comments/3>

@~suv
No my account name is only "Johny"
0.47 still works as before, it's just 0.48 that refuses to start.
Attached is a screen shot of the color profiles i can think of.

su_v (suv-lp) on 2010-09-09
tags: added: regression

Update:

I removed my Library/ColorSync/Profiles/Recommended (the Recommended folder)
Now 0.48 starts, i changed Inscape Preference/Color Management "Display Profile" from my monitor profile to none, and now i can start with all profiles back.
But if i deselect "Retrieve profile from display" Inkscape instantly crash.

A little video of what happens:
http://screencast.com/t/ZTAwNzJiMTYt

su_v (suv-lp) wrote :

@Johny - can you attach the crash report generated by the crash shown in your screencast (when deselecting "Retrieve profile from display")?

No problem, here it comes.

It's the crash log that is written exactly after a crash after i have deselect the "Retrieve profile from display"

Belcirelk (beliveau) wrote :

Just downloaded inkscape 0.48 and it won't run at all on my snow leopard. Don't know if this is related to this bug or not.

10-09-10 13:30:54 defaults[1245]
The domain/default pair of (kCFPreferencesAnyApplication, AppleAquaColorVariant) does not exist
10-09-10 13:30:54 defaults[1247]
The domain/default pair of (kCFPreferencesAnyApplication, AppleHighlightColor) does not exist
10-09-10 13:30:54 [0x0-0x83083].org.inkscape.Inkscape[1215] Setting Language: fr_FR.UTF-8
10-09-10 13:30:54 [0x0-0x83083].org.inkscape.Inkscape[1215] Xlib: extension "RANDR" missing on display "/tmp/launch-cJ9oyt/org.x:0".
10-09-10 13:30:54 [0x0-0x83083].org.inkscape.Inkscape[1215] /Users/ericbeliveau/.inkscape-etc/gtkrc:56: Clearlooks configuration option "menuitemstyle" is not supported and will be ignored.
10-09-10 13:30:54 [0x0-0x83083].org.inkscape.Inkscape[1215] /Users/ericbeliveau/.inkscape-etc/gtkrc:57: Clearlooks configuration option "listviewitemstyle" is not supported and will be ignored.
10-09-10 13:30:54 [0x0-0x83083].org.inkscape.Inkscape[1215] /Users/ericbeliveau/.inkscape-etc/gtkrc:58: Clearlooks configuration option "progressbarstyle" is not supported and will be ignored.
10-09-10 13:30:58 [0x0-0x83083].org.inkscape.Inkscape[1215] (inkscape-bin:1220): Gtk-WARNING **: Could not find the icon 'object-visible'. The 'hicolor' theme
10-09-10 13:30:58 [0x0-0x83083].org.inkscape.Inkscape[1215] was not found either, perhaps you need to install it.
10-09-10 13:30:58 [0x0-0x83083].org.inkscape.Inkscape[1215] You can get a copy from:
10-09-10 13:30:58 [0x0-0x83083].org.inkscape.Inkscape[1215] http://icon-theme.freedesktop.org/releases
10-09-10 13:30:59 [0x0-0x83083].org.inkscape.Inkscape[1215] Emergency save activated!
10-09-10 13:30:59 [0x0-0x83083].org.inkscape.Inkscape[1215] Emergency save completed. Inkscape will close now.
10-09-10 13:30:59 [0x0-0x83083].org.inkscape.Inkscape[1215] If you can reproduce this crash, please file a bug at www.inkscape.org
10-09-10 13:30:59 [0x0-0x83083].org.inkscape.Inkscape[1215] with a detailed description of the steps leading to the crash, so we can fix it.
10-09-10 13:31:01 ReportCrash[1268] Saved crash report for inkscape-bin[1220] version ??? (???) to /Users/ericbeliveau/Library/Logs/DiagnosticReports/inkscape-bin_2010-09-10-133101_mac-pro-de-eric-beliveau.crash

Belcirelk (beliveau) wrote :

Ok, it looks like it's the same problem.

A workaround to use 0.48 is to download an older version of Inkscape, go into preferences and check "Retrieve profile from display". Close Inskape. Now start 0.48 and it don't crash on startup.

su_v (suv-lp) wrote :

Belcirelk wrote
> Don't know if this is related to this bug or not.

Yes, the backtrace from your attached crash report indicates it is exactly the same issue.

Thanks for the workaround.
If this can help : inkscape 0.48 worked fine on Snow Leopard untill I
installed Adobe CS4 this afternoon.

2010/9/20 ~suv <email address hidden>

> *** This bug is a duplicate of bug 623640 ***
> https://bugs.launchpad.net/bugs/623640
>
> Same crash as reported in bug #623640, try the workaround as described
> in comment #17 there.
>
> Linking as duplicate to bug #623640 “inkscape 0.48 crashes on startup in
> colorprofile_get_system_profile_handle()”:
> <https://bugs.launchpad.net/inkscape/+bug/623640>
>
> ** This bug has been marked a duplicate of bug 623640
> inkscape 0.48 crashes on startup in
> colorprofile_get_system_profile_handle()
> * You can subscribe to bug 623640 by following this link:
> https://bugs.launchpad.net/inkscape/+bug/623640/+subscribe
>
> --
> OSX application crashs at opening (worked fine a minute ago..)
> https://bugs.launchpad.net/bugs/643684
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Inkscape: A Vector Drawing Tool: New
>
> Bug description:
> Hello, I have been working with Inkscape on many Mac and I never had major
> problems.
> I was working on it today for few hours. I saved my file and closed
> inkscape. Impossible to reopen it since then.
>
> I am on Mac Pro with OS X 10.6.4
>
> Bellow is what the terminal tells (tells a lot..):
> What should I do ? I tried to reinstall Inkscape but it's the same.
>
> Last login: Mon Sep 20 17:56:57 on console
> /Applications/Inkscape.app/Contents/MacOS/Inkscape ; exit;
> Mac-Pro-de-Inflammable-Productions:~ inflammable$
> /Applications/Inkscape.app/Contents/MacOS/Inkscape ; exit;
> Warning: AppleCollationOrder setting not found, using AppleLocale.
> Setting Language: fr_FR.UTF-8
> Xlib: extension "RANDR" missing on display "/tmp/launch-ITGse1/org.x:0".
> /Users/inflammable/.inkscape-etc/gtkrc:56: Clearlooks configuration option
> "menuitemstyle" is not supported and will be ignored.
> /Users/inflammable/.inkscape-etc/gtkrc:57: Clearlooks configuration option
> "listviewitemstyle" is not supported and will be ignored.
> /Users/inflammable/.inkscape-etc/gtkrc:58: Clearlooks configuration option
> "progressbarstyle" is not supported and will be ignored.
>
> (inkscape-bin:376): Gtk-WARNING **: Could not find the icon
> 'object-visible'. The 'hicolor' theme
> was not found either, perhaps you need to install it.
> You can get a copy from:
> http://icon-theme.freedesktop.org/releases
>
> Emergency save activated!
> Emergency save completed. Inkscape will close now.
> If you can reproduce this crash, please file a bug at www.inkscape.org
> with a detailed description of the steps leading to the crash, so we can
> fix it.
> logout
>
> [Opération terminée]
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/inkscape/+bug/643684/+subscribe
>

Hi I had the same problem and I could fix it without having to go back to 0.47. I noticed that in my case the error only appeared when certain apps were running: I was running word 2008 while I launched inkscape. Everything went fine. Then I opened Safari and Preview. When I closed inkscape and tried to reopen it showed again the internal error message.
Anyway, now everything seems fine with the Retrieve profile from display case checked. I attach the log but it seems to be very similar to the ones showed here.

nico (nicolasderambure) wrote :

Hi, and sorry for the delay ~suv.
I've attached my color profiles and I can confirm that workaround off comment #17 works like a charm.

Arru (arvid-r) wrote :

Same problem, workaround with retrieve profile works!

su_v (suv-lp) wrote :

Issue not limited to Mac OS X: the same workaround allowed Inkscape 0.48 to launch on Windows XP:

Bug #608229 “Inkscape crashes on startup”
<https://bugs.launchpad.net/inkscape/+bug/608229>

tags: removed: osx
Olaf Marzocchi (olaf-lists) wrote :

The German forum suggests to correct the profiles. I did it but no success. At the end, I solved by manually editing the ~/.config/inkscape/preferences.xml (vanilla: I deleted my preferences and I let Inkscape create a new one) and changing "from_display" from 0 to 1. It's easy, no need to download an older version of Inkscape.

Strange enough, at home Inkscape 0.47 and 0.48.x crashed always at startup, but I notice that here at work there are no problems at all, even with the setting "0" and with the same OS: 10.6.6.
Mac Pro 2007 at work, iMac 2.4 GHz 2007 at home. Probably at home I have some (correct) profiles that nevertheless make Inkscape crash, while here I have only standard profiles. I can send the list if needed, but, as info, I have at home Lightroom and Photoshop and I have calibrated profiled made with SuperCal, while here at work I have none of these softwares or profiles.
I hope you can track the bug and solve it soon, since it affects users *even with standard preferences", meaning that some people will never be able to use the app unless they are searching the forums for a solution. Standard settings should be the safest :-)

@Olaf : on both mac (macpro and macbook pro), my inkscape 0.48 worked fine
until the day I installed Adobe CS4. Hopefully the workaround did the job.
Let's blame Adobe instead ;)
nn.

Olaf Marzocchi (olaf-lists) wrote :

A program shouldn't crash because another one has bugs...
But ok, let's blame Adobe anyway ;)

Kebnekka (kebne) wrote :

Fix for Windows 7: Goto Users -> [UserName] -> AppData (hidden folder) -> Roaming -> Inkscape -> rename preferences.xml to preferences.old (Inkscape creates a new one after succesful startup)-> restart your computer -> try launching the inkscape.

daniele (daniele+r+ubilaptop) wrote :

same problem, solved (thanks to ~suv (suv-lp) )
There is (for my sytem - Mac OS X 10.5.8) an other workaround:
instead of regression to 0.47 just launch inkscape selecting an svg file and use the "open with" command,
the program opens, and you change the "Preferences/Color management/Retrieve profile from display"
as needed.

thank you ~suv !

jazzynico (jazzynico) on 2013-12-06
Changed in inkscape:
status: Confirmed → Triaged
jazzynico (jazzynico) wrote :

I'm currently investigating the issue on Windows XP (*unfortunately* I can't reproduce it on a GNU/Linux distro). Could someone attach a failing ICC profile from the OS-X world so that I can compare it to the ones I already have?
Thanks!

Changed in inkscape:
assignee: nobody → jazzynico (jazzynico)
jazzynico (jazzynico) wrote :

The attached patch seems to solve the crash (at least on Windows).
Badly encoded profile names are replaced with (invalid UTF-8 string) in the list and can still be used. Of course, it's a bit complicated if you have many affected profiles, but at least it doesn't crash.

Could someone test on OS-X?

Changed in inkscape:
status: Triaged → In Progress
milestone: none → 0.49
jazzynico (jazzynico) wrote :

Patch committed revision 12847.

Changed in inkscape:
status: In Progress → Fix Committed
jazzynico (jazzynico) wrote :

Attached is an invalid profile file that crashes on Windows XP with Inkscape 0.48 but not with the trunk, revision 12847 (patched).

su_v (suv-lp) wrote :

On OS X 10.7.5, crash on launch reproduced with color profile from comment #32, using
- official Mac OS X package Inkscape 0.48.2
- local build of Inkscape 0.48.2 (

On OS X 10.7.5, crash on launch not reproduced with color profile from comment #32, using
- unpatched local build of 0.48.3.1 (glib2 2.32.4, gtk2 2.24.13)
- unpatched local build of 0.48.4 (glib2 2.32.4, gtk2 2.24.13)

Possibly this was partially fixed with the changes in rev. 9878:
<http://bazaar.launchpad.net/~inkscape.dev/inkscape/RELEASE_0_48_BRANCH/revision/9878#src/color-profile.cpp>

su_v (suv-lp) wrote :

adding forgotten data:
 - local build of Inkscape 0.48.2 (glib2 2.32.4, gtk2 2.24.13)

su_v (suv-lp) wrote :

> Possibly this was partially fixed with the changes in rev. 9878:

1) Inkscape 0.48.2 was released at revision 9819,
   Inkscape 0.48.3.1 at revision 9886
2) Changes to src/color-profile.cpp:
<http://bazaar.launchpad.net/~inkscape.dev/inkscape/RELEASE_0_48_BRANCH/changes?filter_file_id=colorprofile.cpp-20091128124040-aej0x7yhxng1m6ly-6931>

su_v (suv-lp) wrote :

With trunk rev <= 12846, the crash on launch on OS X 10.7.5 only appears to be triggered with builds which use lcms2 (local patch), but not with builds which use lcms1 (currently still default for OS X).

The crash with builds which use lcms2 no longer occurs with revision >= 12847.

su_v (suv-lp) wrote :

Correction:
> With trunk rev <= 12846, the crash on launch on OS X 10.7.5 (…)

The crash with older trunk builds and lcms2 on OS X happens when opening the preferences dialog (i.e. _not_ on launch), and has a different backtrace -> seems to be the same as the one tracked for Windows in bug #498141.

jazzynico (jazzynico) wrote :

A thousand thanks for your tests, ~suv!

su_v (suv-lp) wrote :

JazzyNico wrote:
> Attached is an invalid profile file that crashes on Windows XP with Inkscape 0.48

Local builds on OS X based on lp:inkscape/0.48.x [1] which use lcms2 (by patching configure.ac) also crash on launch of the profile from comment #32 --> proposing to backport r12847 to the stable branch, too.

---
[1] tested with a recent build of <https://code.launchpad.net/~suv-lp/inkscape/osxmenu-0.48.x>

su_v (suv-lp) wrote :

Backport of r12847 to lp:inkscape/0.48.x to prevent crash on launch of lcms2-based inkscape builds with incompatible color profiles installed on the local system.
(tested successfully on OS X 10.7.5 with lcms2-based build of lp:inkscape/0.48.x)

tags: added: backport-proposed
jazzynico (jazzynico) wrote :

Patch backported to the 0.48.x branch, revision 10006.

Changed in inkscape:
milestone: 0.49 → 0.48.5
tags: removed: backport-proposed
su_v (suv-lp) wrote :

The color profile from comment #32 used to reproduce the crash with Inkscape 0.48.2 on OS X 10.7.5 also crashes Apple's ColorSync Utility if attempting to display the 'desc' data (Localized description strings).

The 'Profile First Aid' tool of the ColorSync Utility reports these errors for the profile:
~/Library/ColorSync/Profiles/W2243.ICM
   Header creator is not correct.
   Tag 'desc': Description tag has a bad ASCII string.

Changed in inkscape:
status: Fix Committed → Fix Released

Hello people, I had this problem and reading all this posts find the solution for me: I have Inkscape 0.48 that works perfectly, but, instal a trial of adobe CS6 and when finish the trial time I uninstal it and start the problem: "inkscape find an internal problem and will close". It always crash at startup. My solution was: I search an .svg file, right clic and open with inkscape, when open, search preferences of inkscape then Color management and mark "Get screen profile" and now inkscape works good.
Thanks to all.

E Camus (heathercrystalhall) wrote :

Hi, I'm having the exact same issue described in the first post and in a duplicate case (https://bugs.launchpad.net/inkscape/+bug/1127052).

Using Inkscape 0.91 (freshly installed a few minutes ago), Windows 7 64bit.

For me, it is reproducible every time when I attempt to open some of my older files; (will post example upon request if I'm told that it's necessary).
I attempted to use all three workarounds posed in the duplicate (modifying preferences.xml, toggling color management, reinstalling, et cetera)-- and I tried to fully uninstall the program and reinstall at 0.91, but the bug does not go away. Also tried to roll back to 0.48, but that doesn't resolve the issue either.

Any workaround suggestions?

jazzynico (jazzynico) wrote :

@E Camus - Thanks for your comment!
Yes, it would be very useful if you could attach one of the files that lead to a crash.
Since Inkscape doesn't crash immediately when launching but after you open some files, I'd say it's a different issue. If confirmed, we'll open a new report for your specific case (or link it to another report if it's a known bug).

To post a comment you must log in.